<?php
/*
Plugin Name: Facebook Integration
Version: 1.1
Description: Allows to improve the recognition of your gallery in Facebook when in this Community site you add a link towards your gallery (or your images).
Plugin URI: http://fr.piwigo.org/ext/extension_links.php?eid=469
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/


add_event_handler('loc_begin_picture', 'add_fb' );

function add_fb()
{
  global $template, $page;
  $template->set_prefilter('header', 'addfbtpl');

 }

function addfbtpl($content, &$smarty)
{

   $search = '/<\/head>/';
  
  $replacement = '<meta property="og:title" content="{$GALLERY_TITLE} - {$ALT_IMG}">
<meta property="og:description" content="{$COMMENT_IMG}">
<meta property="og:image" content="'.get_absolute_root_url().'{$current.THUMB_SRC}">
</head>
';
  
  return preg_replace($search, $replacement, $content);
  
}

?>